Zum Hauptinhalt springen
POST
/
automation
/
2026-09-beta
/
workflow-id-mappings
/
batch
/
read
Batch retrieve workflow ID mappings
curl --request POST \
  --url https://api.hubapi.com/automation/2026-09-beta/workflow-id-mappings/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "type": "FLOW_ID",
      "flowId": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "flowId": 123,
      "workflowId": 123
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
inputs
(FLOW_ID · object | WORKFLOW_ID · object)[]
erforderlich

Antwort

successful operation

completedAt
string<date-time>
erforderlich

The date and time when the batch process was completed, formatted as a date-time string.

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

The date and time when the batch process began, formatted as a date-time string.

status
enum<string>
erforderlich

The current status of the batch process, with possible values: CANCELED, COMPLETE, PENDING, PROCESSING.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

A collection of URLs related to the batch process.

numErrors
integer<int32>
requestedAt
string<date-time>

The date and time when the batch request was initiated, formatted as a date-time string.

Last modified on April 9, 2026